%define _unpackaged_files_terminate_build 0
Name:		irssi
Version:	0.8.9
Release:	2mg
Vendor:		Timo Sirainen <tss@iki.fi>
Packager:	Peder Stray <peder@ninja.no>
Summary:	Irssi is a IRC client
License:	GPL
Group:		Applications/Communications
URL:		http://irssi.org/
Source0:	http://irssi.org/files/%{name}-%{version}.tar.bz2
BuildRequires:	glib-devel >= 1.2.0, ncurses-devel
Requires:	glib >= 1.2.0, ncurses, perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Irssi is a modular IRC client that currently has only text mode user
interface, but 80-90% of the code isn't text mode specific so other UI
could be created pretty easily. Also, Irssi isn't really even IRC
specific anymore, there's already a working SILC module available.
Support for other protocols like ICQ could be created some day too.

More information can be found at http://irssi.org/.

%prep
%setup -q

%build
%configure \
        --enable-ipv6 \
        --with-textui \
        --with-socks \
        --with-bot \
        --with-proxy \
        --with-perl=yes \
	--with-perl-lib=site \
        --with-ncurses
make PERL_MM_PARAMS="'PREFIX=$RPM_BUILD_ROOT%{_prefix}'"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
strip $RPM_BUILD_ROOT%{_libdir}/irssi/modules/lib*.so*

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

echo '%defattr(-,root,root)' > %{name}-%{version}-filelist
find $RPM_BUILD_ROOT%{_prefix} -type f -printf "%{_prefix}/%%P\n" | 
	grep -v perllocal.pod | 
	grep -v doc/irssi |
	grep -v "\.packlist" >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -type d -iname %{name} -printf "%%%%dir /%%P\n" | 
	grep -v doc/irssi >> %{name}-%{version}-filelist

if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%doc docs/*.txt docs/*.html

%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/irssi*

%changelog
* Wed Apr 07 2004 Jima <jima@devel.mintygreen.net> 0.8.9-2mg
- Fixed perl Require
